<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>CustomProperties (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CustomProperties (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CustomProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hpsf/Currency.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hpsf/CustomProperty.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hpsf/CustomProperties.html" target="_top">Frames</a></li>
        <li><a href="CustomProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hpsf</div>
    <h2 title="Class CustomProperties" class="title">Class CustomProperties</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hpsf.CustomProperties</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">CustomProperties</span>
extends java.lang.Object
implements java.util.Map&lt;java.lang.String,java.lang.Object&gt;</pre>
                <div class="block">Maintains the instances of <a
                        href="../../../../org/apache/poi/hpsf/CustomProperty.html" title="class in org.apache.poi.hpsf"><code>CustomProperty</code></a>
                    that belong to a
                    <a href="../../../../org/apache/poi/hpsf/DocumentSummaryInformation.html"
                       title="class in org.apache.poi.hpsf"><code>DocumentSummaryInformation</code></a>. The class
                    maintains the names of the
                    custom properties in a dictionary. It implements the <code>Map</code> interface
                    and by this provides a simplified view on custom properties: A property's
                    name is the key that maps to a typed value. This implementation hides
                    property IDs from the developer and regards the property names as keys to
                    typed values.<p>

                        While this class provides a simple API to custom properties, it ignores
                        the fact that not names, but IDs are the real keys to properties. Under the
                        hood this class maintains a 1:1 relationship between IDs and names. Therefore
                        you should not use this class to process property sets with several IDs
                        mapping to the same name or with properties without a name: the result will
                        contain only a subset of the original properties. If you really need to deal
                        such property sets, use HPSF's low-level access methods.
                    <p>

                        An application can call the <a
                            href="../../../../org/apache/poi/hpsf/CustomProperties.html#isPure"><code>isPure</code></a>
                        method to check whether a
                        property set parsed by <a href="../../../../org/apache/poi/hpsf/CustomProperties.html"
                                                  title="class in org.apache.poi.hpsf"><code>CustomProperties</code></a>
                        is still pure (i.e.
                        unmodified) or whether one or more properties have been dropped.
                    <p>

                        This class is not thread-safe; concurrent access to instances of this
                        class must be synchronized.
                    <p>

                        While this class is roughly HashMap&lt;Long,CustomProperty&gt;, that's the
                        internal representation. To external calls, it should appear as
                        HashMap&lt;String,Object&gt; mapping between Names and Custom Property Values.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a name="nested.classes.inherited.from.class.java.util.Map">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;java.util.Map</h3>
                                <code>java.util.Map.Entry&lt;K,V&gt;</code></li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#CustomProperties--">CustomProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#clear--">clear</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#containsKey-java.lang.Object-">containsKey</a></span>(java.lang.Object&nbsp;key)</code>
                                    <div class="block">Checks against both String Name and Long ID</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#containsValue-java.lang.Object-">containsValue</a></span>(java.lang.Object&nbsp;value)</code>
                                    <div class="block">Checks against both the property, and its values.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.util.Set&lt;java.util.Map.Entry&lt;java.lang.String,java.lang.Object&gt;&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#entrySet--">entrySet</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.Object</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#get-java.lang.Object-">get</a></span>(java.lang.Object&nbsp;key)</code>
                                    <div class="block">Gets a named value from the custom properties - only works for
                                        keys of type String
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#getCodepage--">getCodepage</a></span>()</code>
                                    <div class="block">Gets the codepage.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.util.Set&lt;java.lang.Long&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#idSet--">idSet</a></span>()</code>
                                    <div class="block">Returns a set of all the IDs of our custom properties</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#isEmpty--">isEmpty</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#isPure--">isPure</a></span>()</code>
                                    <div class="block">Tells whether this <a
                                            href="../../../../org/apache/poi/hpsf/CustomProperties.html"
                                            title="class in org.apache.poi.hpsf"><code>CustomProperties</code></a>
                                        instance is pure or one or
                                        more properties of the underlying low-level property set has been
                                        dropped.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>java.util.Set</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#keySet--">keySet</a></span>()</code>
                                    <div class="block">Returns a set of all the names of our custom properties.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>java.util.Set&lt;java.lang.String&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#nameSet--">nameSet</a></span>()</code>
                                    <div class="block">Returns a set of all the names of our custom properties</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                                        title="class in org.apache.poi.hpsf">CustomProperty</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#properties--">properties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                                                              title="class in org.apache.poi.hpsf">CustomProperty</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#put-java.lang.String-org.apache.poi.hpsf.CustomProperty-">put</a></span>(java.lang.String&nbsp;name,
                                    <a href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                                       title="class in org.apache.poi.hpsf">CustomProperty</a>&nbsp;cp)</code>
                                    <div class="block">Puts a <a
                                            href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                                            title="class in org.apache.poi.hpsf"><code>CustomProperty</code></a> into
                                        this map.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>java.lang.Object</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#put-java.lang.String-java.lang.Object-">put</a></span>(java.lang.String&nbsp;key,
                                    java.lang.Object&nbsp;value)</code>
                                    <div class="block">Adds a named property.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#putAll-java.util.Map-">putAll</a></span>(java.util.Map&lt;?
                                    extends java.lang.String,?&gt;&nbsp;m)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code><a href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                                                              title="class in org.apache.poi.hpsf">CustomProperty</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#remove-java.lang.Object-">remove</a></span>(java.lang.Object&nbsp;key)</code>
                                    <div class="block">Removes a custom property - only works for keys of type String
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#setCodepage-int-">setCodepage</a></span>(int&nbsp;codepage)</code>
                                    <div class="block">Sets the codepage.</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#setPure-boolean-">setPure</a></span>(boolean&nbsp;isPure)</code>
                                    <div class="block">Sets the purity of the custom property set.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#size--">size</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>java.util.Collection&lt;java.lang.Object&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html#values--">values</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.util.Map">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.util.Map</h3>
                                <code>compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge,
                                    putIfAbsent, remove, replace, replace, replaceAll</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="CustomProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CustomProperties</h4>
                                <pre>public&nbsp;CustomProperties()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="put-java.lang.String-org.apache.poi.hpsf.CustomProperty-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>put</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                                                    title="class in org.apache.poi.hpsf">CustomProperty</a>&nbsp;put(java.lang.String&nbsp;name,
                          <a href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                             title="class in org.apache.poi.hpsf">CustomProperty</a>&nbsp;cp)</pre>
                                <div class="block">Puts a <a href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                                                             title="class in org.apache.poi.hpsf"><code>CustomProperty</code></a>
                                    into this map. It is assumed that the
                                    <a href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                                       title="class in org.apache.poi.hpsf"><code>CustomProperty</code></a> already has
                                    a valid ID. Otherwise use
                                    <a href="../../../../org/apache/poi/hpsf/CustomProperties.html#put-org.apache.poi.hpsf.CustomProperty-"><code>put(CustomProperty)</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the property name</dd>
                                    <dd><code>cp</code> - the property</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the previous property stored under this name</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="put-java.lang.String-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>put</h4>
                                <pre>public&nbsp;java.lang.Object&nbsp;put(java.lang.String&nbsp;key,
                            java.lang.Object&nbsp;value)</pre>
                                <div class="block">Adds a named property.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>put</code>&nbsp;in interface&nbsp;<code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>key</code> - The property's name.</dd>
                                    <dd><code>value</code> - The property's value.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the property that was stored under the specified name before, or
                                        <code>null</code> if there was no such property before.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="get-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>get</h4>
                                <pre>public&nbsp;java.lang.Object&nbsp;get(java.lang.Object&nbsp;key)</pre>
                                <div class="block">Gets a named value from the custom properties - only works for keys
                                    of type String
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>get</code>&nbsp;in interface&nbsp;<code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>key</code> - the name of the value to get</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the value or <code>null</code> if a value with the specified
                                        name is not found in the custom properties.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="remove-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>remove</h4>
                                <pre>public&nbsp;<a href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                                                    title="class in org.apache.poi.hpsf">CustomProperty</a>&nbsp;remove(java.lang.Object&nbsp;key)</pre>
                                <div class="block">Removes a custom property - only works for keys of type String</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>remove</code>&nbsp;in interface&nbsp;<code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>key</code> - The name of the custom property to remove</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The removed property or <code>null</code> if the specified property was not
                                        found.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="size--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>size</h4>
                                <pre>public&nbsp;int&nbsp;size()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>size</code>&nbsp;in interface&nbsp;<code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isEmpty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isEmpty</h4>
                                <pre>public&nbsp;boolean&nbsp;isEmpty()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>isEmpty</code>&nbsp;in interface&nbsp;<code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clear--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clear</h4>
                                <pre>public&nbsp;void&nbsp;clear()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>clear</code>&nbsp;in interface&nbsp;<code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in interface&nbsp;<code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>equals</code>&nbsp;in interface&nbsp;<code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="putAll-java.util.Map-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>putAll</h4>
                                <pre>public&nbsp;void&nbsp;putAll(java.util.Map&lt;? extends java.lang.String,?&gt;&nbsp;m)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>putAll</code>&nbsp;in interface&nbsp;<code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="properties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>properties</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../org/apache/poi/hpsf/CustomProperty.html"
                                        title="class in org.apache.poi.hpsf">CustomProperty</a>&gt;&nbsp;properties()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the list of properties</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="values--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>values</h4>
                                <pre>public&nbsp;java.util.Collection&lt;java.lang.Object&gt;&nbsp;values()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>values</code>&nbsp;in interface&nbsp;<code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the list of property values - use <a
                                            href="../../../../org/apache/poi/hpsf/CustomProperties.html#properties--"><code>properties()</code></a>
                                        for the wrapped values
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="entrySet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>entrySet</h4>
                                <pre>public&nbsp;java.util.Set&lt;java.util.Map.Entry&lt;java.lang.String,java.lang.Object&gt;&gt;&nbsp;entrySet()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>entrySet</code>&nbsp;in interface&nbsp;<code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="keySet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>keySet</h4>
                                <pre>public&nbsp;java.util.Set&nbsp;keySet()</pre>
                                <div class="block">Returns a set of all the names of our custom properties.
                                    Equivalent to <a
                                            href="../../../../org/apache/poi/hpsf/CustomProperties.html#nameSet--"><code>nameSet()</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>keySet</code>&nbsp;in interface&nbsp;<code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a set of all the names of our custom properties</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="nameSet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>nameSet</h4>
                                <pre>public&nbsp;java.util.Set&lt;java.lang.String&gt;&nbsp;nameSet()</pre>
                                <div class="block">Returns a set of all the names of our custom properties</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a set of all the names of our custom properties</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="idSet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>idSet</h4>
                                <pre>public&nbsp;java.util.Set&lt;java.lang.Long&gt;&nbsp;idSet()</pre>
                                <div class="block">Returns a set of all the IDs of our custom properties</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a set of all the IDs of our custom properties</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCodepage-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCodepage</h4>
                                <pre>public&nbsp;void&nbsp;setCodepage(int&nbsp;codepage)</pre>
                                <div class="block">Sets the codepage.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>codepage</code> - the codepage</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCodepage--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCodepage</h4>
                                <pre>public&nbsp;int&nbsp;getCodepage()</pre>
                                <div class="block">Gets the codepage.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the codepage or -1 if the codepage is undefined.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="containsKey-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>containsKey</h4>
                                <pre>public&nbsp;boolean&nbsp;containsKey(java.lang.Object&nbsp;key)</pre>
                                <div class="block">Checks against both String Name and Long ID</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>containsKey</code>&nbsp;in interface&nbsp;<code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="containsValue-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>containsValue</h4>
                                <pre>public&nbsp;boolean&nbsp;containsValue(java.lang.Object&nbsp;value)</pre>
                                <div class="block">Checks against both the property, and its values.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>containsValue</code>&nbsp;in interface&nbsp;<code>java.util.Map&lt;java.lang.String,java.lang.Object&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isPure--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isPure</h4>
                                <pre>public&nbsp;boolean&nbsp;isPure()</pre>
                                <div class="block">Tells whether this <a
                                        href="../../../../org/apache/poi/hpsf/CustomProperties.html"
                                        title="class in org.apache.poi.hpsf"><code>CustomProperties</code></a> instance
                                    is pure or one or
                                    more properties of the underlying low-level property set has been
                                    dropped.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the <a
                                            href="../../../../org/apache/poi/hpsf/CustomProperties.html"
                                            title="class in org.apache.poi.hpsf"><code>CustomProperties</code></a> is
                                        pure, else
                                        <code>false</code>.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPure-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setPure</h4>
                                <pre>public&nbsp;void&nbsp;setPure(boolean&nbsp;isPure)</pre>
                                <div class="block">Sets the purity of the custom property set.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>isPure</code> - the purity</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CustomProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/hpsf/Currency.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/hpsf/CustomProperty.html" title="class in org.apache.poi.hpsf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/hpsf/CustomProperties.html" target="_top">Frames</a></li>
        <li><a href="CustomProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
